Problem with TrackD (Vrpn version mismatch)

guro
Posts: 3
Joined: Wed Jun 16, 2010 3:01 am

Problem with TrackD (Vrpn version mismatch)

Post by guro » Wed Jun 16, 2010 3:09 am

Hi Guys,

i've got a major problem with my tracking tools. I installed everything correctly (version 2.2 final) and copied the sample TrackD.zip from your homepage into my trackD folder. but if whenever i start trackd, it tells me that connection to TT is established, one object is trackable, but then it tells me that the minor version of vrpn (i wonder why vrpn, it's trackD! or do you use vrpn for transport and then change the format to trackd-compatible?) doesn't match. it expects at least 7.20, but it got only 7.13. furthermore it tells me that this "is not an normally error" ;)

i did everything exactly the same way like in your tutorial videos, but with the problem described above.

May you please help?

Thanks in advance,
guro

beckdo
NaturalPoint Employee
NaturalPoint Employee
Posts: 519
Joined: Tue Jan 02, 2007 2:02 pm

Re: Problem with TrackD (Vrpn version mismatch)

Post by beckdo » Wed Jun 16, 2010 4:05 pm

Hey guro,

You've done everything correctly and also have good intuition. Trackd does not provide any network transport for the server side, thus we use VRPN to send the data over the network to the Trackd Broker Module. We have an updated version of the broker DLL that you should use that is a version match with the Tracking Tools (thus no version warnings). Please email support@naturalpoint.com and try that version. If you could confirm that it works for you, I will also request that they update the website with the latest broker module.

Thanks guro.

guro
Posts: 3
Joined: Wed Jun 16, 2010 3:01 am

Re: Problem with TrackD (Vrpn version mismatch)

Post by guro » Thu Jun 24, 2010 4:48 am

Hi,

i've tried the new version, the version mismatch didn't appear, so it would be fixed.

but trackD doesn't show me any information of my trackables.
do i have to edit the .conf file for my trackables or something else?

trackd tells me this:

trackd: Trackd 5.5 starting...
trackd: INFO: DEVICE NAME : DT
trackd: INFO: DEVICE TYPE : NaturalPoint Rigid Body Tracker
[...] server localhost
version 1.0
cave coordinates used
tracker order: real tra -> output tra
1 -> 1

and that's it!

please help :)

thank you,
guro

guro
Posts: 3
Joined: Wed Jun 16, 2010 3:01 am

Re: Problem with TrackD (Vrpn version mismatch)

Post by guro » Tue Jun 29, 2010 12:15 am

*push*

please guys, can you help me out?
i need to have tracking tools working with trackD, it's one of the reasons i bought it!

VincentG
Posts: 7728
Joined: Mon Jul 17, 2006 5:00 am
Location: Corvallis, Oregon

Re: Problem with TrackD (Vrpn version mismatch)

Post by VincentG » Wed Jun 30, 2010 12:01 pm

answered via email

flashouille
Posts: 8
Joined: Mon Nov 07, 2011 4:18 am

Re: Problem with TrackD (Vrpn version mismatch)

Post by flashouille » Tue Jan 24, 2012 9:26 am

Hi everyone,


I have the exact same problem as above, the trackd application starts using the trackd broker and then nothing happens.

Could you give me an answer to that problem?

Thank you for your answer.

NaturalPoint - Mike
Posts: 1896
Joined: Tue Feb 01, 2011 8:41 am
Location: Corvallis, OR

Re: Problem with TrackD (Vrpn version mismatch)

Post by NaturalPoint - Mike » Tue Jan 24, 2012 5:54 pm

Hello -

What issue are you experiencing, exactly, and what version of software are you running?

flashouille
Posts: 8
Joined: Mon Nov 07, 2011 4:18 am

Re: Problem with TrackD (Vrpn version mismatch)

Post by flashouille » Wed Jan 25, 2012 1:39 am

Hello,

Sorry for my lack of details...

I am using trackd 5.6 and tracking tool 2.3.2

I followed your video tutorial:
-launch tracking tool with a tracker and streaming for trackd
-configure my trackd.conf with a natural point configuration
-start trackd with trackd broker
-i get that:
trackd: Trackd 5.6 starting...
trackd: INFO: DEVICE NAME : Head
trackd: INFO: DEVICE TYPE : NaturalPoint Rigid Body Tracker
[...] server localhost
version 1.0
cave coordinates used
tracker order: real tra -> output tra
1 -> 1

-And contrary to the video tutorial when i am moving my trackable no data seems to be received by trackd.

Did i forget something?

Thank for your answer

NaturalPoint - Mike
Posts: 1896
Joined: Tue Feb 01, 2011 8:41 am
Location: Corvallis, OR

Re: Problem with TrackD (Vrpn version mismatch)

Post by NaturalPoint - Mike » Wed Jan 25, 2012 5:47 pm

I'm going to have to defer this to a developer with a bit more experience in TrackD Streaming. Unfortunately, he won't be available until Monday the 30th. Will that be alright?

flashouille
Posts: 8
Joined: Mon Nov 07, 2011 4:18 am

Re: Problem with TrackD (Vrpn version mismatch)

Post by flashouille » Thu Jan 26, 2012 6:48 am

Hello,


Monday 30th will be alright.

BR

Post Reply